Subject: Re: libgit2 status

From: <[email-masked]>
Date: Tue, 28 Aug 2012 12:59:46 -0500

Nicolas Sebrecht <[email-masked]> writes:

> Do you expect one big merge of a very stable libgit2 at some point?

I don't think there's any need to merge libgit2 into the git project
source.  As a library, it should be perfectly usable as a project of its
own, just like libcurl and libz.

> Otherwise, what about going with this optionnal "LDFLAGS += -libgit2"
> ASAP with good disclaimer that it's only intended for development and
> testing purpose? Then, git-core could slowly rely on functions of
> libgit2, one after the other.

This makes a lot of sense to me.

                            -David